Page MenuHomePhabricator

Relative interwiki links via non-existing language editions of projects are dead
Closed, DuplicatePublic

Description

When linking German-language Wikisource article, we can use [[:s:de:Salz]] or [[:de:s:Salz]]. But it does not work always.

When linking from Ukraine Wikivoyage (uk.wikivoyage.org) to Korean wikiversity (ko.wikiversity.org), [[:ko:v:]] or [[:v:ko:] both do not work. (Because Korean Wikivoyage and/or Ukraine Wikiversiry do not exist.)

How about to implement a direct shortcut for foreign language sister project, E.g. [[:kowikiversity:XXX]]?

It will be useful other multi-language projects, such as meta and/or commons.


Version: unspecified
Severity: enhancement

Details

Reference
bz48035

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:35 AM
bzimport set Reference to bz48035.
ChongDae created this task.May 3 2013, 8:50 AM

[[wikisource:de:Salz]] always works, as well as [[Wikiversity:ko:XXX]] and [[w:v:ko:XXX]]. I don't think adding yet another interwiki linking system is needed nor smart, there's enough complexity. I suggest closing WORKSFORME.

Change 94716 had a related patch set uploaded by TTO:
Make missing.php aware of interwiki prefixes

https://gerrit.wikimedia.org/r/94716

TTO added a comment.Nov 11 2013, 10:45 AM

(In reply to comment #1)

I suggest closing WORKSFORME.

As you can see, I disagree :) This is a valid bug that should be fixed. It must be quite annoying for those who work on the more minor WMF projects and/or the smaller languages.

TTO added a comment.Nov 11 2013, 10:48 AM

(In reply to comment #0)

How about to implement a direct shortcut for foreign language sister project,
E.g. [[:kowikiversity:XXX]]?

...although now I look closer at comment 0, this is not quite what I am implementing. See the Gerrit commit message.

Adding to CC Brion and Ariel who have sometimes talked about this issue of interwiki links via non-existing languages and excessive complexity of the interwiki linking system (most recently on MediaWiki-General, IIRC).

TTO, you may want to update the bug summary to reflect the usecase and solution you chose, so that discussion is clearer/easier here.

TTO added a comment.Nov 11 2013, 11:01 AM

(In reply to comment #5)

TTO, you may want to update the bug summary to reflect the usecase and
solution
you chose, so that discussion is clearer/easier here.

I just found bug 7496, which is probably a better fit for the patch. But I would say that once 7496 is fixed, the solution in comment 0 will not be necessary.

Change 94716 merged by jenkins-bot:
Make missing.php aware of interwiki prefixes

https://gerrit.wikimedia.org/r/94716

(In reply to comment #6)

I just found bug 7496, which is probably a better fit for the patch. But I
would say that once 7496 is fixed, the solution in comment 0 will not be
necessary.

Wow, it works. :)

Restricted Application added a subscriber: revi. · View Herald TranscriptNov 28 2019, 7:26 PM